﻿@font-face {
    font-family: "myriad-font";
    src: url("myriad-font/MYRIADPRO-REGULAR.woff") format('woff');
}

@font-face {
    font-family: "myriad-font";
    src: url("myriad-font/MYRIADPRO-BOLD.woff") format('woff');
    font-weight: bold;
}

/*@font-face {
    font-family: "myfont";
    src: url("myriad-font/MYRIADPRO-.woff") format('woff');
    font-weight: bold;
    font-style: italic;
}

@font-face {
    font-family: "myfont";
    src: url("fonts/awesome-font-oblique.woff") format('woff');
    font-style: italic;
}*/

body {
    font-family: myriad-font !important;
    padding-top: 55px !important;
    /*padding-bottom: 20px;*/
}

.breadcrumb {
    margin-bottom: 0 !important;
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Set width on the form input elements since they're 100% wide by default */
input,
select,
textarea {
    max-width: 280px;
}

/* styles for validation helpers */
.field-validation-error {
    color: red;
    font-size: 12px;
}

.field-validation-valid {
    display: none;
}

input.input-validation-error {
    border: 1px solid #ccc !important;
}

input[type="checkbox"].input-validation-error {
    border: 0 none;
}

.validation-summary-errors {
    color: #b94a48;
}

.validation-summary-valid {
    display: none;
}


.filter_number_range.form-control {
    height: auto;
    border: none;
    box-shadow: none;
    padding: initial;
}

.show-grid {
    margin-bottom: 15px;
}

.clear {
    clear: both;
}

.infoMessage, .successMessage, .warningMessage, .errorMessage, .validationMessage {
    border: 1px solid;
    width: 350px;
    margin: 0 auto;
    padding: 10px 10px 10px 50px;
    background-repeat: no-repeat;
    background-position: 10px center;
    text-align: center;
}

.successMessage {
    color: black;
    border-color: #4F8A10;
    background-color: #DFF2BF;
    background-image: url('../Images/success.png')
}

.warningMessage {
    color: #9F6000;
    background-color: #FEEFB3;
    background-image: url('../Images/warning.png');
}

.errorMessage {
    color: #D8000C;
    background-color: #FFBABA;
    background-image: url('../Images/error.png');
}

.validationMessage {
    color: #D63301;
    background-color: #FFCCBA;
    background-image: url('../Images/validation.png');
}

.infoMessage {
    color: #00529B;
    background-color: #BDE5F8;
    background-image: url('../Images/info.png');
}


/*from Version 2*/


/*-----For Action Button-----*/
#edit {
    content: url('../Images/Study Resource/e.png');
}

    #edit:hover {
        content: url('../Images/Study Resource/hovere.png');
    }

#sortorder {
    cursor: pointer;
    content: url('../Images/SortOrder.svg');
}

    #sortorder:hover {
        content: url('../Images/SortOrderHover.svg');
    }

#delete {
    content: url('../Images/Study Resource/d.png');
}

#delete:hover {
    content: url('../Images/Study Resource/hover d.png');
}

/*-----Pagination------*/
#pre-pagination {
    content: url('../Images/Icon/pagleft.png');
}

    #pre-pagination:hover {
        content: url('../Images/Icon/pagelefthover.png');
    }

#next-pagination {
    content: url('../Images/Icon/pageright.png');
}

    #next-pagination:hover {
        content: url('../Images/Icon/pagerighthover.png');
    }

/**---For Datepicker----*/
.calendar {
    background-repeat: no-repeat;
    background-position: right center;
    background-origin: content-box;
    background-image: url('../../Images/Icon/calendar.png');
    color: grey !important;
}

.clock {
    background-repeat: no-repeat;
    background-position: right center;
    background-origin: content-box;
    background-image: url('../Images/Icon/time.png');
}

.adding {
    background-color: #428bca;
    color: #fff;
}

.adding1 {
    background-color: #fff;
    color: #428bca;
    border-color: rgb(169, 169, 169);
}

.adding2 {
    background-color: #fff;
}

.btn-default {
    color: #fff;
    background-color: #428bca;
}

    .btn-default, .btn-default:hover {
        color: #fff;
        background-color: #357ebd;
    }

.default-color {
    color: #428bca;
}

.form-control[disabled], .form-control[readonly], fieldset[disabled] .form-control {
    background-color: transparent;
}

.partialDvLoadingList {
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: 999;
    background: url(../Images/Icon/Loader.gif) center no-repeat #fff;
    background-position-y: 100px;
}

.partialDvLoading {
    /*position: absolute;*/
    position: fixed;
    width: 100%;
    height: 100%;
    z-index: 100;
    background: url(../Images/Icon/Loader.gif) center no-repeat #fff;
    background-position-y: 27rem;
}

.customInput {
    font-size: 12px;
    height: 30px !important;
    padding: 0px 10px !important;
    /*margin-top: 5px;*/
    margin-bottom: 10px;
    padding-left: 8px;
    width: 100% !important;
}

.customDropdown {
    font-size: 12px;
    height: 30px;
    padding-top: 0px;
    padding-bottom: 0px;
    /* margin-top: 5px; */
    margin-bottom: 10px;
    padding-left: 8px;
    width: 100% !important;
}

.ui-autocomplete {
    max-height: 300px;
    overflow-y: auto; /* prevent horizontal scrollbar */
    overflow-x: hidden; /* add padding to account for vertical scrollbar */
    z-index: 1000 !important;
}

button.close {
    margin-top: 6px !important;
    padding: 0;
    cursor: pointer;
    background: transparent;
    border: 0;
    -webkit-appearance: none;
}

a:hover {
    cursor: pointer!important;
}

/*button.close:active {
    outline: none;
}*/

.cursor-pointer {
    cursor: pointer;
}

/*Custom Checkbox*/



/*//check box*/
/* The container */
.check-container {
    display: block;
    position: relative;
    padding-left: 23px;
    padding-right: 10px;
    margin-bottom: 12px;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    font-weight: normal;
    font-size: 12px;
}

    /* Hide the browser's default checkbox */
    .check-container input {
        position: absolute;
        opacity: 0;
        cursor: pointer;
        height: 0;
        width: 0;
    }

/* Create a custom checkbox */
.checkmark {
    position: absolute;
    top: 0;
    left: 10px;
    height: 12px;
    width: 12px;
    background-color: #f4f4f4;
    border: 1px solid #4c4646;
}

/* On mouse-over, add a grey background color */
.check-container:hover input ~ .checkmark {
    background-color: #ccc;
}

/* When the checkbox is checked, add a blue background */
.check-container input:checked + .checkmark {
    background-color: #2196F3;
    border-color: #2196F3;
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkmark:after {
    content: "";
    position: absolute;
    display: none;
}

/* Show the checkmark when checked */
.check-container input:checked ~ .checkmark:after {
    display: block;
}

/* Style the checkmark/indicator */
.check-container .checkmark:after {
    left: 2px;
    top: -1px;
    width: 5px;
    height: 10px;
    border: solid white;
    border-width: 0 2px 2px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}

/*End Custom Checkbox*/

.cursor {
    cursor: pointer;
}

.arrow_img {
    width: 4px;
}

.close:hover, .close:focus {
    outline: none;
}

.filter-clear{
    cursor: pointer;
}
.filter-clear:hover {
    color: red;
}


